Loading...
Searching...
No Matches
ranges::iota_fn Struct Reference
Numerics

## Public Member Functions

template<typename O , typename S , typename T > requires output_iterator<O, T const &> && sentinel_for<S, O> && weakly_incrementable<T>
O | operator() (O first, S last, T val) const
template<typename Rng , typename T > requires output_range<Rng, T const &> && weakly_incrementable<T>
borrowed_iterator_t< Rng > | operator() (Rng &&rng, T val) const